Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.loader
Class NodeData

    java.lang.Object
      org.jboss.cache.loader.NodeData

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable

    public class NodeData

extends java.lang.Object
implements java.io.Externalizable

Serializable representation of the data of a node (FQN and attributes)

Version:
  $Id: NodeData.java,v 1.2 2005/10/08 00:40:25 bstansberry Exp $
Author:
  Bela Ban
See Also:
  Serialized Form

Constructor Summary
`NodeData()`
`NodeData(Fqn fqn)`
`NodeData(Fqn fqn, java.util.Map attrs)`
`NodeData(java.lang.String fqn, java.util.Map attrs)`

Method Summary
`java.util.Map` | `getAttributes()`
`Fqn` | `getFqn()`
`void` | `readExternal(java.io.ObjectInput in)`
`java.lang.String` | `toString()`
`void` | `writeExternal(java.io.ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NodeData

    public NodeData()

### NodeData

    public NodeData(Fqn fqn)

### NodeData

    public NodeData(Fqn fqn,
                    java.util.Map attrs)

### NodeData

    public NodeData(java.lang.String fqn,
                    java.util.Map attrs)

Method Detail

### getAttributes

    public java.util.Map getAttributes()

### getFqn

    public Fqn getFqn()

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Specified by:
    `writeExternal` in interface `java.io.Externalizable`
  Throws:
    `java.io.IOException`

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Specified by:
    `readExternal` in interface `java.io.Externalizable`
  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2005 JBoss Inc . All Rights Reserved.